{
	"name": "table/external/4d/manager/product/stock_parcel.json",
	"table_name": "stock_parcel",
	"table_prefix": "stpa",
	"record_type": ["product"],
	"local_table": "stock",
	"local_record_type": "product",
	"table_number": 26,
	"field": [{
			"field_length": 90,
			"field_name": "change_id",
			"field_number": 30,
			"local_field": "modify_id"
		},
		{
			"field_length": 160,
			"field_name": "cost_center",
			"field_number": 24,
			"local_field": "json_data.cost_center"
		},
		{
			"field_name": "cost_price__unit",
			"field_number": 9,
			"local_field": "json_data.cost_price__unit"
		},
		{
			"field_length": 40,
			"field_name": "creator_id",
			"field_number": 31,
			"local_field": "create_user"
		},
		{
			"field_length": 80,
			"field_name": "customer_project",
			"field_number": 28,
			"local_field": "json_data.customer_project"
		},
		{
			"field_name": "firm_id",
			"field_number": 23,
			"local_field": "json_data.firm_id"
		},
		{
			"field_length": 40,
			"field_name": "handler_id",
			"field_number": 35,
			"local_field": "json_data.handler_id"
		},
		{
			"field_name": "info",
			"field_number": 6,
			"local_field": "info"
		},
		{
			"field_name": "is_own_packet",
			"field_number": 19,
			"local_field": "json_data.is_own_packet"
		},
		{
			"field_name": "is_ready",
			"field_number": 18,
			"local_field": "json_data.is_ready"
		},
		{
			"field_name": "location",
			"field_number": 8,
			"local_field": "json_data.location"
		},
		{
			"field_length": 40,
			"field_name": "modifier_id",
			"field_number": 32,
			"local_field": "json_data.modifier_id"
		},
		{
			"field_length": 80,
			"field_name": "order_row",
			"field_number": 13,
			"local_field": "json_data.order_row"
		},
		{
			"field_length": 510,
			"field_name": "origin",
			"field_number": 14,
			"local_field": "json_data.origin"
		},
		{
			"field_length": 40,
			"field_name": "original_packet_number",
			"field_number": 17,
			"local_field": "json_data.original_packet_number"
		},
		{
			"field_name": "original_unit",
			"field_number": 15,
			"local_field": "json_data.original_amount"
		},
		{
			"field_length": 40,
			"field_name": "parcel_code",
			"field_number": 2,
			"local_field": "stock_id"
		},
		{
			"field_length": 88,
			"field_name": "product_id",
			"field_number": 1,
			"foreign_key": [{
				"link_type": "prevent delete",
				"linked_field": "product_id",
				"linked_table": "product"
			}],
			"local_field": "product_id",
			"nullable": true
		},
		{
			"field_length": 70,
			"field_name": "production_lot",
			"field_number": 20,
			"local_field": "json_data.production_lot"
		},
		{
			"field_length": 80,
			"field_name": "project_id",
			"field_number": 29,
			"local_field": "project_id"
		},
		{
			"field_name": "purchase_price__unit",
			"field_number": 4,
			"local_field": "json_data.purchase_price__unit"
		},
		{
			"constraint": ["unique"],
			"field_length": 90,
			"field_name": "record_id",
			"field_number": 22,
			"local_field": "record_id"
		},
		{
			"field_name": "sales_price__unit",
			"field_number": 5,
			"local_field": "json_data.sales_price__unit"
		},
		{
			"field_name": "size_",
			"field_number": 11,
			"local_field": "json_data.size"
		},
		{
			"field_name": "state",
			"field_number": 34,
			"local_field": "stock_state"
		},
		{
			"field_name": "stock_balance__unit",
			"field_number": 3,
			"local_field": "stock_balance",
			"field_type": "double"
		},
		{
			"field_name": "stock_balance__unit_2",
			"field_number": 7,
			"local_field": "json_data.stock_balance__unit_2",
			"field_type": "double"
		},
		{
			"field_name": "stock_type",
			"field_number": 21,
			"local_field": "stock_type"
		},
		{
			"field_length": 24,
			"field_name": "supplier_id",
			"field_number": 16,
			"foreign_key": [{
				"link_type": "prevent delete",
				"linked_field": "supplier_id",
				"linked_table": "supplier"
			}],
			"local_field": "json_data.supplier_id",
			"nullable": true
		},
		{
			"field_length": 120,
			"field_name": "transfer_id",
			"field_number": 27,
			"local_field": "json_data.transfer_id"
		},
		{
			"field_name": "transfer_state",
			"field_number": 33,
			"local_field": "json_data.transfer_state"
		},
		{
			"field_length": 60,
			"field_name": "type_",
			"field_number": 10,
			"local_field": "json_data.storage_type"
		},
		{
			"field_length": 20,
			"field_name": "unit",
			"field_number": 25,
			"local_field": "json_data.unit"
		},
		{
			"field_length": 20,
			"field_name": "unit_2",
			"field_number": 26,
			"local_field": "json_data.unit_2"
		},
		{
			"field_name": "units",
			"field_number": 12,
			"local_field": "json_data.units"
		}
	],
	"default_field": "table/default_field.json"
}